Up

# NSFileWrapper

### Authors

Felipe A. Rodriguez (`far@ix.netcom.com`)
Jonathan Gapen (`jagapen@whitewater.chem.wisc.edu`)

> Hold a file's contents in dynamic memory.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSFileWrapper class

## NSFileWrapper : NSObject

> Declared in:
>   AppKit/NSFileWrapper.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -addFileWithPath:
- -addFileWrapper:
- -addRegularFileWithContents:preferredFilename:
- -addSymbolicLinkWithDestination:preferredFilename:
- -fileAttributes
- -fileWrappers
- -filename
- -icon
- -initDirectoryWithFileWrappers:
- -initRegularFileWithContents:
- -initSymbolicLinkWithDestination:
- -initWithPath:
- -initWithSerializedRepresentation:
- -isDirectory
- -isRegularFile
- -isSymbolicLink
- -keyForFileWrapper:
- -needsToBeUpdatedFromPath:
- -preferredFilename
- -regularFileContents
- -removeFileWrapper:
- -serializedRepresentation
- -setFileAttributes:
- -setFilename:
- -setIcon:
- -setPreferredFilename:
- -symbolicLinkDestination
- -updateFromPath:
- -writeToFile:atomically:updateFilenames:

### addFileWithPath:

- (NSString*) addFileWithPath: (NSString*)path;
Availability: OpenStep
Description forthcoming.

### addFileWrapper:

- (NSString*) addFileWrapper: (NSFileWrapper*)doc;
Availability: OpenStep
Description forthcoming.

### addRegularFileWithContents: preferredFilename:

- (NSString*) addRegularFileWithContents: (NSData*)data preferredFilename: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### addSymbolicLinkWithDestination: preferredFilename:

- (NSString*) addSymbolicLinkWithDestination: (NSString*)path preferredFilename: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### fileAttributes

- (NSDictionary*) fileAttributes;
Availability: OpenStep
Description forthcoming.

### fileWrappers

- (NSDictionary*) fileWrappers;
Availability: OpenStep
Description forthcoming.

### filename

- (NSString*) filename;
Availability: OpenStep
Description forthcoming.

### icon

- (NSImage*) icon;
Availability: OpenStep
Description forthcoming.

### initDirectoryWithFileWrappers:

- (id) initDirectoryWithFileWrappers: (NSDictionary*)docs;
Availability: OpenStep
Description forthcoming.

### initRegularFileWithContents:

- (id) initRegularFileWithContents: (NSData*)data;
Availability: OpenStep
Description forthcoming.

### initSymbolicLinkWithDestination:

- (id) initSymbolicLinkWithDestination: (NSString*)path;
Availability: OpenStep
Description forthcoming.

### initWithPath:

- (id) initWithPath: (NSString*)path;
Availability: OpenStep
Init an instance from the file, directory, or symbolic link at path.
This can create a tree of instances with a directory instance at the top

### initWithSerializedRepresentation:

- (id) initWithSerializedRepresentation: (NSData*)data;
Availability: OpenStep
Description forthcoming.

### isDirectory

- (BOOL) isDirectory;
Availability: OpenStep
Description forthcoming.

### isRegularFile

- (BOOL) isRegularFile;
Availability: OpenStep
Description forthcoming.

### isSymbolicLink

- (BOOL) isSymbolicLink;
Availability: OpenStep
Description forthcoming.

### keyForFileWrapper:

- (NSString*) keyForFileWrapper: (NSFileWrapper*)doc;
Availability: OpenStep
Description forthcoming.

### needsToBeUpdatedFromPath:

- (BOOL) needsToBeUpdatedFromPath: (NSString*)path;
Availability: OpenStep
Description forthcoming.

### preferredFilename

- (NSString*) preferredFilename;
Availability: OpenStep
Description forthcoming.

### regularFileContents

- (NSData*) regularFileContents;
Availability: OpenStep
Description forthcoming.

### removeFileWrapper:

- (void) removeFileWrapper: (NSFileWrapper*)doc;
Availability: OpenStep
Description forthcoming.

### serializedRepresentation

- (NSData*) serializedRepresentation;
Availability: OpenStep
Description forthcoming.

### setFileAttributes:

- (void) setFileAttributes: (NSDictionary*)attributes;
Availability: OpenStep
Description forthcoming.

### setFilename:

- (void) setFilename: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### setIcon:

- (void) setIcon: (NSImage*)icon;
Availability: OpenStep
Description forthcoming.

### setPreferredFilename:

- (void) setPreferredFilename: (NSString*)filename;
Availability: OpenStep
Description forthcoming.

### symbolicLinkDestination

- (NSString*) symbolicLinkDestination;
Availability: OpenStep
Description forthcoming.

### updateFromPath:

- (BOOL) updateFromPath: (NSString*)path;
Availability: OpenStep
Description forthcoming.

### writeToFile: atomically: updateFilenames:

- (BOOL) writeToFile: (NSString*)path atomically: (BOOL)atomicFlag updateFilenames: (BOOL)updateFilenamesFlag;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSFileWrapper Class

### _fileAttributes

@protected NSMutableDictionary* _fileAttributes;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _filename

@protected NSString* _filename;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _iconImage

@protected NSImage* _iconImage;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _preferredFilename

@protected NSString* _preferredFilename;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _wrapperData

@protected id _wrapperData;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _wrapperType

@protected GSFileWrapperType _wrapperType;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up